<template>
  <div class="faq">
    <div class="faq__container container">
      <h1 class="faq__title">How to Change Account Email</h1>
      <div class="faq__content content">
        <div class="content__item">
          <span>
            NOTE!<br />
            After changing your email address, withdrawals will be disabled from your account for 5 days after your email address is changed.
          </span>
          <p class="content__item-text">
            Please follow the step-by-step guide below to change the email address registered to your Binance account.
          </p>
          <p class="content__item-text pl-20 mb-15">1. Log in to your TBCC account and click <span>Profile → Security</span>.</p>
          <p class="content__item-text pl-20 mb-15">2. Click <span>Reset</span> next to <span>E-mail verification</span>.</p>
          <p class="content__item-text">
            Pay attention: In order to change your registered email address, you must enable Google or SMS Authentication (2FA).
          </p>
          <p class="content__item-text pl-20 mb-15">3. To change your email address, click <span>Next</span> and follow the four steps below:</p>
          <p class="content__item-text">
            <span class='white'>Step 1.</span>Verify previous email address. Check your mailbox and follow the instructions in the email
          </p>
          <p class="content__item-text">
            <span class='white'>Step 2.</span> Enter your new email address and password, then click Next.
          </p>
          <p class="content__item-text white">
            NOTE: A new email address should not be registered to any TBCC accounts.
          </p>
          <p class="content__item-text">
            <span class='white'>Step 3.</span> Verify your new email. Please go through Google Authentication or SMS Authentication to protect your account.
          </p>
          <p class="content__item-text">
            <span class='white'>Step 4.</span> Your email is successfully changed. Please sign in with the new email address.
          </p>
        </div>
      </div>
      <div class="faq__list list">
        <p class="list__title">Learn to trade efficiently:</p>
        <div class="list__wrap">
          <nuxt-link class="list__link arrow-link" :to="localePath('/faq/how-to-withdraw')"
            >How to Withdraw Cryptocurrency from TBCC?</nuxt-link
          >
          <nuxt-link
            class="list__link arrow-link"
            :to="localePath('/faq/how-to-stake')"
            >How to stake?</nuxt-link
          >
          <nuxt-link class="list__link arrow-link" :to="localePath('/faq/how-to-trade')"
            >How to trade?</nuxt-link
          >
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  head() {
    return {
      title: 'TBCC | FAQ',
      link: [
        {
          rel: 'canonical',
          href: `https://tbcctoken.com/faq/${this.$route.path}`,
        },
      ],
    }
  },
}
</script>

<style lang="scss" scoped>
.faq {
  background: linear-gradient(169deg, #1f0c71 27.28%, #041344 67.8%);
  position: relative;
  z-index: 1;

  @media (min-width: 768px) {
    &::after {
      content: '';
      width: 1798px;
      height: 715px;
      background-image: url('../../assets/img/stones@2x.png');
      background-repeat: no-repeat;
      background-position: center;
      background-size: contain;
      bottom: -20px;
      right: 0;
      position: absolute;
      pointer-events: none;
      z-index: -1;
    }
  }

  &__container {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 120px;
  }

  &__title {
    font-size: 42px;
    line-height: 52px;
    text-align: center;
    color: white;
    max-width: 630px;
    margin: 0 0 25px;
    font-weight: 500;

    @media (max-width: 767px) {
      font-size: 30px;
      line-height: 37px;
      text-align: center;
      max-width: 300px;
    }
  }

  &__subtitle {
    max-width: 640px;
    font-size: 18px;
    line-height: 28px;
    text-align: center;
    color: #ffffff;
    margin: 0 0 25px;

    @media (max-width: 767px) {
      font-size: 16px;
      line-height: 24px;
      max-width: 330px;
    }
  }

  &__content {
    display: flex;
    flex-direction: column;
    margin-bottom: 84px;
  }
}

.content {
  max-width: 830px;
  width: 100%;

  @media (max-width: 767px) {
    max-width: 316px;
  }

  &__item {
    display: flex;
    flex-direction: column;

    &:not(:last-child) {
      margin-bottom: 30px;
    }

    & > span {
      font-weight: 500;
      font-size: 28px;
      line-height: 34px;
      color: white;
      margin: 0 0 20px;
      display: inline-block;

      @media (max-width: 767px) {
        font-size: 22px;
        line-height: 27px;
      }
    }
  }

  &__item-text {
    font-size: 16px;
    line-height: 24px;
    color: #6983ab;
    margin: 0 0 30px;

    a {
      color: #66b6ff;
    }

    span {
      font-weight: 500;
    }
  }

  &__item-subtitle {
    color: white;
    text-align: center;
    max-width: 590px;
    align-self: center;

    @media (max-width: 767px) {
      max-width: 330px;
    }
  }
}

.list {
  display: flex;
  flex-direction: column;
  align-items: center;
  max-width: 830px;
  width: 100%;
  margin-bottom: 140px;

  @media (max-width: 767px) {
    margin-bottom: 30px;
  }

  &__title {
    font-weight: 500;
    font-size: 28px;
    line-height: 34px;
    text-align: center;
    color: #ffffff;
    margin: 0 0 50px;
  }

  &__wrap {
    display: flex;
    width: 100%;

    @media (max-width: 767px) {
      flex-direction: column;
      max-width: 316px;
    }
  }

  &__link {
    text-transform: none;
    font-size: 22px;
    line-height: 26px;
    color: #ffffff99;
    font-weight: 300;

    &:not(:last-child) {
      @media (min-width: 768px) {
        margin-right: 30px;
      }
    }

    @media (max-width: 767px) {
      margin-right: auto;
      padding-top: 40px;
      padding-bottom: 40px;
      border-bottom: 1px solid #18265b;
      width: 100%;

      &:last-child {
        border-bottom: none;
      }
    }
  }
}

.text-left {
  text-align: left;
}

.sub-text {
  text-align: right;
  font-size: 14px;
  line-height: 125%;
  display: inline-block;
  width: 100%;
}

.pl-20 {
  padding-left: 20px;
}

.mb-15 {
  margin-bottom: 15px;
}

.white {
  color: white;
}
</style>
